API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

Kb Comments

Alle Operationen rund um Kb Comments.

Datenmodell

Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:

Entität Schema-ID Felder Sequenz Permissions
KB Comment kb_comment 10 kb_comment_*

Endpoints

Methode Pfad Operation Beschreibung
POST /v1/kb_comments Create kb_comment Create a new kb_comment in the active tenant.
DELETE /v1/kb_comments/{id} Delete kb_comment Soft delete entity.
GET /v1/kb_comments/{id} Get kb_comment by id Fetch a single kb_comment.
GET /v1/kb_comments/{id}/linked Get linked entities CodeMeta OS API endpoint.
GET /v1/kb_comments/{id}/timeline Get timeline CodeMeta OS API endpoint.
GET /v1/kb_comments/{id}/transitions List transitions CodeMeta OS API endpoint.
GET /v1/kb_comments List kb_comments List kb_comments for the active tenant.
PATCH /v1/kb_comments/{id} Patch kb_comment JSON Merge Patch update.
POST /v1/kb_comments/bulk Bulk operation CodeMeta OS API endpoint.
POST /v1/kb_comments/{id}/transition POST /v1/kb_comments/{id}/transition CodeMeta OS API endpoint.
POST /v1/kb_comments/{id}/transitions/{transitionKey} Execute transition CodeMeta OS API endpoint.
PUT /v1/kb_comments/{id} Replace kb_comment Full replace with optimistic locking.

Suche